{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.USR04107246MAPVIEW"
  },
  "caption" : "视图消息地图视图",
  "codeName" : "TESTUsr04107246MapView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr04107246MapView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTUsr04107246MapView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup2"
  },
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
    "realTitle" : "简单编辑",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
    "realTitle" : "简单编辑",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr04107246MapView_MapView",
    "controlType" : "MAP",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSMAPS/Usr04107246MapView_MapView.json",
    "legendPos" : "NONE",
    "logicName" : "视图消息地图视图_地图部件",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "map"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "MAP"
    },
    "name" : "map",
    "modelid" : "E79F0A87-3929-47E8-AA01-9ECE83FD2104",
    "modeltype" : "PSSYSMAPVIEW"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.USR04107246MAPVIEW"
    },
    "caption" : "视图消息地图视图",
    "codeName" : "Usr04107246MapViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr04107246MapView",
  "getPSDEViewId" : "6734BC26-74A3-47D7-9786-A91791CC5B6F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMAPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "视图消息地图视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.USR04107246MAPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMAPVIEW",
  "xDataControlName" : "map",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "modelid" : "b2ac92035aa4467c564d5d2ea79a806a",
  "modeltype" : "PSAPPDEVIEW"
}